#pragma once

#include <WinDef.h>

namespace apl
{
namespace hlprDll
{
	template<typename T>inline
	T resolveF(const char* funcName, HINSTANCE hInst)
	{
		T pf = reinterpret_cast<T>(::GetProcAddress(hInst, funcName));
		return pf;
	}
}
}